[arch-commits] Commit in libgcrypt/trunk (PKGBUILD libgcrypt.install)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Apr 1 15:16:30 EDT 2009


    Date: Wednesday, April 1, 2009 @ 15:16:30
  Author: andyrtr
Revision: 32861

upgpkg: libgcrypt 1.4.4-1
    new version 1.4.4

Modified:
  libgcrypt/trunk/PKGBUILD
  libgcrypt/trunk/libgcrypt.install

-------------------+
 PKGBUILD          |    6 +++---
 libgcrypt.install |    2 ++
 2 files changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-01 19:02:50 UTC (rev 32860)
+++ PKGBUILD	2009-04-01 19:16:30 UTC (rev 32861)
@@ -2,8 +2,8 @@
 # Maintainer: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=libgcrypt
-pkgver=1.4.3
-pkgrel=2
+pkgver=1.4.4
+pkgrel=1
 pkgdesc="a general purpose crypto library based on the code used"
 arch=(i686 x86_64)
 url="http://www.gnupg.org"
@@ -13,7 +13,7 @@
 options=(!libtool)
 source=(#ftp://ftp.gnupg.org/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2
 	ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/libgcrypt/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('46e50e811ed51f1e0e8dd677dded967d')
+md5sums=('34105aa927e23c217741966496b97e67')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}

Modified: libgcrypt.install
===================================================================
--- libgcrypt.install	2009-04-01 19:02:50 UTC (rev 32860)
+++ libgcrypt.install	2009-04-01 19:16:30 UTC (rev 32861)
@@ -2,6 +2,7 @@
 filelist=(gcrypt.info)
 
 post_install() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
   done
@@ -12,6 +13,7 @@
 }
 
 pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done



More information about the arch-commits mailing list